------------------------------------------------------------------
--                                                              --
--  File:   Create_Clustered_Indexes_Fixed.SQL                  --
--          Microsoft TPC-E Benchmark Kit Ver. 1.5.1-1009       --
--         Copyright Microsoft  2007, 2008                      --
--                                                              --
--  NOTE:   This file is generated by TPCE_SETUP.CMD based on   --
--          the number of processors on the system.             --
--                                                              --
------------------------------------------------------------------
USE tpce
GO
 
---
--- Set connection attributes
---
SET ANSI_NULLS ON
SET ANSI_PADDING ON
SET ANSI_WARNINGS ON
SET ARITHABORT ON
SET CONCAT_NULL_YIELDS_NULL ON
SET QUOTED_IDENTIFIER ON
SET NUMERIC_ROUNDABORT OFF
GO

-- *** CHARGE ***
IF NOT EXISTS ( SELECT name FROM sysindexes WHERE name = 'PK_CHARGE' )
    CREATE UNIQUE CLUSTERED INDEX PK_CHARGE ON CHARGE(CH_TT_ID, CH_C_TIER)
        WITH (FILLFACTOR = 100, MAXDOP = 24)
        ON else_fg
GO 

-- *** COMMISSION_RATE ***
IF NOT EXISTS ( SELECT name FROM sysindexes WHERE name = 'PK_COMMISSION_RATE' )
    CREATE UNIQUE CLUSTERED INDEX PK_COMMISSION_RATE ON COMMISSION_RATE(CR_C_TIER, CR_TT_ID, CR_EX_ID, CR_FROM_QTY)
        WITH (FILLFACTOR = 100, MAXDOP = 24)
        ON else_fg
GO

-- *** EXCHANGE *** 
IF NOT EXISTS ( SELECT name FROM sysindexes WHERE name = 'PK_EXCHANGE' )
    CREATE UNIQUE CLUSTERED INDEX PK_EXCHANGE ON EXCHANGE(EX_ID)
        WITH (FILLFACTOR = 100, MAXDOP = 24)
        ON else_fg
GO

-- *** INDUSTRY *** 
IF NOT EXISTS ( SELECT name FROM sysindexes WHERE name = 'PK_INDUSTRY' )
    CREATE UNIQUE CLUSTERED INDEX PK_INDUSTRY ON INDUSTRY(IN_ID)
        WITH (FILLFACTOR = 100, MAXDOP = 24)
        ON else_fg
GO

-- *** SECTOR *** 
IF NOT EXISTS ( SELECT name FROM sysindexes WHERE name = 'PK_SECTOR' )
    CREATE UNIQUE CLUSTERED INDEX PK_SECTOR ON SECTOR(SC_ID)
        WITH (FILLFACTOR = 100, MAXDOP = 24)
        ON else_fg
GO

-- *** STATUS_TYPE *** 
IF NOT EXISTS ( SELECT name FROM sysindexes WHERE name = 'PK_STATUS_TYPE' )
    CREATE UNIQUE CLUSTERED INDEX PK_STATUS_TYPE ON STATUS_TYPE(ST_ID)
        WITH (FILLFACTOR = 100, MAXDOP = 24)
        ON else_fg
GO

-- *** TAXRATE *** 
IF NOT EXISTS ( SELECT name FROM sysindexes WHERE name = 'PK_TAXRATE' )
    CREATE UNIQUE CLUSTERED INDEX PK_TAXRATE ON TAXRATE(TX_ID)
        WITH (FILLFACTOR = 100, MAXDOP = 24)
        ON else_fg
GO

-- *** TRADE_TYPE *** 
IF NOT EXISTS ( SELECT name FROM sysindexes WHERE name = 'PK_TRADE_TYPE' )
    CREATE UNIQUE CLUSTERED INDEX PK_TRADE_TYPE ON TRADE_TYPE(TT_ID)
        WITH (FILLFACTOR = 100, MAXDOP = 24)
        ON else_fg
GO

-- *** ZIP_CODE *** 
IF NOT EXISTS ( SELECT name FROM sysindexes WHERE name = 'PK_ZIP_CODE' )
    CREATE UNIQUE CLUSTERED INDEX PK_ZIP_CODE ON ZIP_CODE(ZC_CODE)
        WITH (FILLFACTOR = 100, MAXDOP = 24)
        ON else_fg
GO
